%global gitdate git20090902
%global gitref 50925e6b95aa9eaebd26c35f1f8f6af7acec4814

Name:           libvdpau
Version:        0.1
Release:        0.5%{?gitdate}%{?dist}
Summary:        Wrapper library for the Video Decode and Presentation API

Group:          System Environment/Libraries
License:        MIT
URL:            http://freedesktop.org/wiki/Software/VDPAU
Source0:        http://cgit.freedesktop.org/~aplattner/libvdpau/snapshot/libvdpau-%{gitref}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool

%if 0%{?fedora} > 11 || 0%{?rhel} > 5
ExclusiveArch:  i686 x86_64
%else
%if 0%{?fedora} == 11
ExclusiveArch:  i586 x86_64
%else
ExclusiveArch:  i386 x86_64
%endif
%endif
BuildRequires:  libX11-devel


%description
VDPAU is the Video Decode and Presentation API for UNIX. 
It provides an interface to video decode acceleration and presentation
hardware present in modern GPUs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{gitref}


autoreconf -vif 

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/*.so.*
%{_libdir}/libvdpau_trace.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/vdpau/
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc

%changelog
* Fri Sep  2 2009 kwizart < kwizart at gmail.com > - 0.1-0.5git20090902
- Update to gitdate 20090902 with merged patches

* Mon Jun 15 2009 kwizart < kwizart at gmail.com > - 0.1-0.3git20090318
- Add missing -ldl at link time

* Fri Mar 22 2009 kwizart < kwizart at gmail.com > - 0.1-0.2git20090318
- Backport fix thread_2

* Fri Mar  6 2009 kwizart < kwizart at gmail.com > - 0.1-0.1git20090318
- Initial spec file

